%!TEX root=../thesis.tex
%!TEX file=content/glossaries.tex

\renewcommand{\glossarypreamble}{\glsfindwidesttoplevelname[\currentglossary]}
% Set style of glossaries to be the "alternative tree"~(alttree)
% \setglossarystyle{alttree}

\begingroup
  % Change the fraction function for the glossaries to use `\nicefrac` instead of just `\frac`
  \sisetup{
    per-mode=symbol,%
    fraction-function=\nicefrac,%
  }

  \renewcommand*{\arraystretch}{1.40}
  \printglossary[%
      type=symbol,%
      style=isw-long-symbol-nogroup,%
    ]
  \printglossary[%
      type=notation,%
      style=isw-long-notation-nogroup,%
    ]
  \printglossary[%
      type=\acronymtype,%
      style=isw-long-acronym-nogroup,%
      nonumberlist,%
      nogroupskip,%
    ]
\endgroup
